	.LF IttiaraROM.lst
;IttiaraROM.asm - Top source file for Ittiara's firmware.
	.CR 65c02
	.IN ../IttiaraStandardHeaders/MemoryMap.asm
	.OR $0000					;Origin in the file
	.PH ROM					;Origin in the system
	.TF IttiaraROM.hex, INT		;Intel Hex format

IRQ_VEC = $32
;LineEnding = $0D	;Carriage Return
LineEnding = $0A	;Line Feed
			LDA #VECTORS-4	;set up the IRQ vector to do nothing unless changed.
			STA IRQ_VEC
			LDA /VECTORS-4
			STA IRQ_VEC+1
	
	.IN EWOZ.asm
	.IN ../IttiaraStandardHeaders/DUARTlib.asm
	.IN ../IttiaraStandardHeaders/SerialGLCDlib.asm
	.IN ../IttiaraStandardHeaders/SPIlib.asm
	.IN ../IttiaraStandardHeaders/MemoryRoutines.asm
	.IN VTL-02.asm

	.NO VECTORS-4, FILL_VAL
	RTI
	JMP (IRQ_VEC)	;do a C64 and have the IRQ vector configurable.
	;   NMI        RESET  IRQ
	.DA VECTORS-4, RESET, VECTORS-3
